import React, { useState } from 'react';
import ReactDOM from 'react-dom/client';

import Sensor from "./routes/sensor";
import Root from "./routes/rout";
import ErrorPage from "./error-page";
import {
  createBrowserRouter,
  RouterProvider,
} from "react-router-dom";

function Main() {
  const [sensors, setSensors] = useState([]);
  const router = createBrowserRouter([
    {
      path: "/",
      element: <Root
          sensors = {sensors}
          setSensors = {setSensors}
      />,
      errorElement: <ErrorPage />,
      children: [
        {
          path: "/:sensorName",
          element: <Sensor
              sensors = {sensors}
          />,
        },
      ],
    },
  ]);
  return <RouterProvider router={router} />;
}
  ReactDOM.createRoot(document.getElementById('root')).render(
      <Main />
  );
