import styles from "../index.module.css";
import { useParams} from 'react-router-dom';
import {useEffect, useState} from "react";

export default function Sensor({sensors}){
    const { sensorName } = useParams();
    const [data, setData] = useState([]);
    const [lastValue, setLastValue] = useState(0);

    useEffect(()=>{
        setLastValue(sensors.find(s => s.name === sensorName).value);
        setData(sensors.find(s => s.name === sensorName).data);
    },[sensors])

    return(
      <div>
        <h2>{sensorName}</h2>
        <h2>Valeur actuelle</h2>
        <div className={styles.sensorValue}>
            {lastValue}
        </div>
        <h2>Historique</h2>
        <div className={styles.historique}>
            {data.map((value, index) => (
                <div key={index}  className={styles.listItem}>{value}</div>
            )).reverse()}
        </div>
      </div>
    );

}

